=== debian/changelog ===
kdeplasma-addons (4:6.4.5+p24.04+vunstable+git20251020.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:45:47 +0000
