=== debian/changelog ===
kdeplasma-addons (4:6.4.91-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-workspace-data (<<
    4:6.4.90~). (Closes: #1118033)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Oct 2025 18:17:15 +0200

kdeplasma-addons (4:6.4.91-2) experimental; urgency=medium

  * Team upload.
  * Update lintian override to apply on any architecture.
  * Ship /usr/share/icons/hicolor/scalable/apps/accessories-dictionary.svgz
    on any architecture, and not only when QtWebEngine is available; it looks
    like it is always installed now.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 17:51:01 +0200

kdeplasma-addons (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Add patch to fix test failing on number representation.
  * Update the list of installed files.
  * Add lintian overrides for the new libweatherdata.so and
    libweatherion.so private libraries.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:28:06 +0200
