## kdeplasma-addons 6.5.0

=== wallpapers/CMakeLists.txt ===
plasma_install_package(haenau org.kde.haenau wallpapers wallpaper)
plasma_install_package(hunyango org.kde.hunyango wallpapers wallpaper)
add_subdirectory(potd)
