=== plasmacalendarplugins/astronomical/config/CMakeLists.txt ===
add_subdirectory(qml)
add_subdirectory(plugin)
