=== applets/weather/ions/envcan/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,6 @@
 )
 
 target_link_libraries(envcan PRIVATE
-    weatherion
+    plasmaweatherion
     KF6::KIOCore
 )
