=== plasmacalendarplugins/alternatecalendar/config/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

install(FILES AlternateCalendarConfig.qml
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasmacalendarplugins/alternatecalendar)
