=== debian/changelog ===
kdeplasma-addons (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Add patch to fix test failing on number representation.
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Adapt packaging to libplasmaweatherdata6 and libplasmaweatherion6
    now being public libraries.
  * Refresh copyright information.
  * Release to unstable.

  [ Pino Toscano ]
  * Update install files according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117351)
  * CI: update/simplify configuration.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:01 +0200
