=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
-               libplasma5support-dev (>= 4:6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasma5support-dev (>= 4:6.5.0~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
@@ -79,6 +79,29 @@
  .
  This package is part of the KDE Plasma addons module.
 
+Package: libplasmaweatherdata6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: weather data manipulation library for Plasma widgets
+ This library provide various classes to manipulate weather forecast data.
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
+Package: libplasmaweatherion6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: weather location and forcast library for Plasma widgets
+ This library provides weather "ions" that can be used to request locations
+ and weather forecast on the locations.
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
 Package: plasma-calendar-addons
 Architecture: any
 Multi-Arch: same
@@ -161,6 +184,19 @@
   * Haenau
   * Hunyango
   * Picture of the Day
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
+Package: plasma-widgets-addons-dev
+Section: libdevel
+Architecture: any
+Depends: libplasmaweatherdata6 (= ${binary:Version}),
+         libplasmaweatherion6 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
+         ${misc:Depends},
+Description: additional widgets for Plasma 6 - development files
+ This package contains the development headers for the shared libraries
+ shipped with the additional Plasma 6 widgets from the Plasma addons module.
  .
  This package is part of the KDE Plasma 6 addons module.
