## kdeplasma-addons 6.5.0+p24.04+vstable+git20251028.1244

=== debian/changelog ===
kdeplasma-addons (4:6.5.0+p24.04+vstable+git20251028.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:44:42 +0000

kdeplasma-addons (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:19:35 +0000
