## kdeplasma-addons 6.5.0+p24.04+vunstable+git20251021.1104

=== debian/changelog ===
kdeplasma-addons (4:6.5.0+p24.04+vunstable+git20251021.1104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 11:04:19 +0000
