=== plasmacalendarplugins/CMakeLists.txt ===
add_subdirectory(astronomical)
add_subdirectory(alternatecalendar)
